#include<bits/stdc++.h>
using namespace std;
int arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n,k=1,br=0,z=0;

    cin>>n;
    for(long long i=0; i<n; i++)
    {
        arr[i]=i+1;
    }
    while(br<n-1)
    {

        k++;

        for(long long i=1; i<n; i++)
        {
            if(i%k!=0)
            {
                arr[i+z]=0;
                br++;
            }


        }
        z=br;
        sort(arr,arr+n);
        // for(long long i=0; i<n; i+=1)
        // {
        //    cout<<arr[i]<<" ";


        // }
        //cout<<endl;




    }
    cout<<arr[n-1]<<endl;
    return 0;
}